GlusterFS(8)

NAME
mount.glusterfs - script to mount native GlusterFS volume

SYNOPSIS
mount -t glusterfs [-o <options>] <volumeserver>:<volumeid> <mountpoint>

mount -t glusterfs
    [-o <options>] <path/to/volumefile> <mountpoint>

DESCRIPTION
This tool is part of glusterfs(8) package, which is used to mount using GlusterFS native binary. mount.glusterfs is meant to be used by the mount(8) command for mounting native GlusterFS client. This subcommand, however, can also be used as a standalone command with limited functionality.

OPTIONS

  Basic options

log-file=LOG-FILE
    File to use for logging [default:/var/log/glusterfs/glusterfs.log]

log-level=LOG-LEVEL
    Logging severity. Valid options are TRACE, DEBUG, WARNING, ERROR, CRITICAL INFO and NONE [default: INFO]

ro  Mount the filesystem read-only

  Advanced options

volfile-id=KEY
    Volume key or name of the volume file to be fetched from server

transport=TRANSPORT-TYPE
    Transport type to get volume file from server [default: tcp]

volume-name=VOLUME-NAME
    Volume name to be used for MOUNT-POINT [default: top most volume in VOLUME-FILE]

direct-io-mode=disable
    Disable direct I/O mode in fuse kernel module

FILES

/etc/fstab
    A typical GlusterFS entry in /etc/fstab looks like below server1.gluster.com:mirror /mnt/mirror glusterfs log-file=/var/log/mirror.vol,ro,defaults 0 0

/etc/mtab
    An example entry of a GlusterFS mountpoint in /etc/mtab looks like below mirror.vol /mnt/glusterfs fuse.glusterfs rw,allow_other,default_permissions,max_read=131072 0 0

SEE ALSO
glusterfs(8), mount(8), gluster(8)

COPYRIGHT
Copyright(c) 2006-2011 Gluster, Inc. <http://www.gluster.com>